My Oracle Support Banner

How To Upgrade The JDK Used By ASAP To A Different Version (Doc ID 1469854.1)

Last updated on SEPTEMBER 05, 2023

Applies to:

Oracle Communications ASAP - Version 5.2.4 to 7.4.0.0.0 [Release 5.2 to 7.4.0]
Information in this document applies to any platform.

Purpose

The goal of this article is to illustrate the steps involved in upgrading the JDK used by an Oracle ASAP installation to a newer version of the same JDK release. 

 

For ASAP 5.2.4 to 7.0.1, this would be an upgrade to a later Java 1.5 version.

For ASAP 7.0.2, this would be an upgrade to a later Java 1.6 version. 

For ASAP 7.2.0, this could be an upgrade to a later Java 1.6 or a 1.7 version.

For ASAP 7.3.0, this could be an upgrade to a later Java 1.7 or a 1.8 version

For ASAP 7.4.0, this would be an upgrade to a later Java 1.8 version

 

Note:

In order to upgrade the JDK for ASAP’s associated WebLogic Server or WebLogic Domain, refer to <Note 1309855.1> How to Upgrade the JDK Used by Oracle WebLogic Server to a Different Version

 

For ASAP 5.2.4 to 7.0.1, which use WebLogic 9.2, also ensure that the WebLogic patch from the following note is installed: <Note 952078.1> WebLogic Server 9.0 - 10.3.1 SSL Implementation is Incompatible with JDK 1.6.0_13+ and 1.5.0_18+.

 

For ASAP 7.4.x , use the Doc ID 1492980.1 to upgrade JDK for WebLogic server.

 

 

 

Details

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Purpose
Details
 Upgrading the JDK on an Oracle ASAP Server (UNIX/Linux)
 Step by Step Actions:
 Upgrading the JDK on an Oracle ASAP Client (Windows)
 Step by Step Actions:
References

My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.